vim.cmd("nnoremap <Space> <Nop>")
vim.g.mapleader = " "
vim.g.maplocalleader = ","

vim.opt.tabstop = 4
vim.opt.softtabstop = 0
vim.opt.shiftwidth = 0
vim.opt.shell = "/bin/bash"
vim.cmd("set wrap smoothscroll")

vim.keymap.set("n", "<leader>+x", ":!chmod +x %<CR>", { silent = true })
vim.keymap.set("n", "<leader>+r", ":!chmod +r %<CR>", { silent = true })
vim.keymap.set("n", "<leader>+w", ":!chmod +w %<CR>", { silent = true })

vim.keymap.set("n", "<leader>-x", ":!chmod -x %<CR>", { silent = true })
vim.keymap.set("n", "<leader>-r", ":!chmod -r %<CR>", { silent = true })
vim.keymap.set("n", "<leader>-w", ":!chmod -w %<CR>", { silent = true })

vim.opt.rnu = true
vim.opt.nu = true

vim.cmd([[set listchars=eol:$,tab:>-,trail:~,extends:>,precedes:<,space:•]])
vim.keymap.set("n", "<leader>hc", ":set list!<CR>", { silent = true })

vim.opt.termguicolors = true

vim.opt.hlsearch = false
vim.opt.incsearch = true

vim.opt.scrolloff = 6

vim.keymap.set("v", "<leader>yo", ":yank +", { silent = true })
vim.keymap.set("v", "<leader>ya", ":yank *", { silent = true })

vim.cmd("nnoremap j gj")
vim.cmd("nnoremap k gk")
