return {
	{
		"stevearc/conform.nvim",
		event = { "BufReadPre", "BufNewFile" },
		cmd = "Conform",
		config = true,
		opts = {
			formatters_by_ft = {
				lua = { "stylua" },
				cpp = { "clang-format" },
				fish = { "fish_indent" },
				css = { "prettier" },
				scss = { "prettier" },
				js = { "prettier" },
				json = { "prettier" },
				html = { "prettier" },
			},
			format_on_save = {
				-- These options will be passed to conform.format()
				timeout_ms = 500,
				lsp_format = "fallback",
			},
			formatters = {
				prettier = {
					prepend_args = { "--config=/home/Dario48/.config/.prettierrc" },
				},
			},
		},
	},
	{
		"zapling/mason-conform.nvim",
		dependencies = { "mason.nvim", "conform.nvim" },
		config = true,
	},
}
