return {
	{
		"mfussenegger/nvim-dap",
		keys = {
			{"<leader>dt", function() require'dap'.toggle_breakpoint() end, {silent = true}, desc = "toggle breakpoint"},
			{"<leader>dc", function() require'dap'.continue() end, {silent = true}, desc = "debug continue"},
			{"<leader>dso", function() require'dap'.step_over() end, {silent = true}, desc = "debug step over"},
			{"<leader>dsi", function() require'dap'.step_into() end, {silent = true}, desc = "debug step into"}
		},
		init = function()
			local dap = require'dap'
			dap.adapters.lldb = {
				type = 'executable',
				command = '/usr/bin/lldb-vscode', -- adjust as needed, must be absolute path
				name = 'lldb'
			}
			dap.configurations.cpp = {
				{
					name = 'Launch',
					type = 'lldb',
					request = 'launch',
					program = function()
						return vim.fn.input('Path to executable: ', vim.fn.getcwd() .. '/', 'file')
					end,
					cwd = '${workspaceFolder}',
					stopOnEntry = false,
					args = {function()
						return vim.fn.input('Runtime args: ', vim.fn.getcwd())
						end,
					},
				},
			}
			dap.configurations.c = dap.configurations.cpp
			dap.configurations.zig = dap.configurations.cpp
			dap.configurations.rust = dap.configurations.cpp
		end
	},
	{
		"rcarriga/nvim-dap-ui",
		dependencies = {"mfussenegger/nvim-dap", "nvim-neotest/nvim-nio"},
		config = function()
			require("dapui").setup()
		end,
		keys = {
			{"<leader>du", "<cmd>lua require\"dapui\".toggle()", desc = "open dapui"}
		},
	}
}
